(function (window, undefined) {
  'use strict';


  var dataTable = $('.datatable').DataTable({
    initComplete : function(){
        $(".datatable tbody tr td:nth-child(8)").addClass("not-export-col");
    },
    dom: 'Blfrtip',
    buttons: [{
    extend: 'excel',
    text: 'Export',
    className: 'btn btn-outline-secondary',
    sheetName: 'data',
    attr:  { id: 'exportButton' },
    filename: function ( ) {
        return $('#exportButton').data('filename');
    }
  }],
  'ordering': true,
            'searching': true,
            'info': true,
            "serverSide": false,
            "pageLength": 10,    
            "ordering": false  
});


 $(document).on('mousedown', '#exportButton', function(e) {
  $('#exportButton').data('filename', 'Orders Data');
});

$("#exportButton").on("click", function() {
  if($('tbody tr.no-record').length >= 1){
      return alert("No Record Found To Export.");
  }else{
      dataTable.buttons('#exportButton').trigger();
  }
});



  
var ctx_statistics = document.getElementById("statistics");
var statistics = new Chart(ctx_statistics, {
  type: 'bar',
  data: {
    labels: ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"],
    datasets: [{
      label: 'Orders',
      data: [10,15,25,23,68,36,45,68,15,25,55,16],
      borderRadius: 5,
      // barPercentage: 0.9,
      // minBarLength: 10,
      backgroundColor: "rgb(0,177,244)",
      hoverBackgroundColor: [
        "rgb(0,177,244)"
      ]
    }, {
      label: 'Chefs',
      data: [63,25,18,38,29,58,76,85,76,48,55,54],
      borderRadius: 12,
      // barPercentage: 0.9,
      // minBarLength: 10,
      backgroundColor: "rgb(231,81,90)",
      hoverBackgroundColor: [
        "rgb(231,81,90)"
      ]
    },
    {
      label: 'Users',
      data: [88,75,68,52,46,38,33,28,39,53,67,29],
      borderRadius: 5,
      // barPercentage: 0.9,
      // minBarLength: 10,
      backgroundColor: "rgb(26,115,233)",
      hoverBackgroundColor: [
        "rgb(26,115,233)"
      ]
    },{
      label: 'Dinings',
      data: [36,25,42,15,67,38,48,76,96,77,88,58],
      borderRadius: 5,
      // barPercentage: 0.9,
      // minBarLength: 10,
      backgroundColor: "rgb(174,0,255)",
      hoverBackgroundColor: [
        "rgb(174,0,255)"
      ]
    }
  ]
  },
  options:{
    responsive: true,
    maintainAspectRatio: false,
    interaction: {
      intersect: false
    },
    plugins: {
      legend: {
        position: 'bottom',
      }
    }
  }
});



var purchase_charts = document.getElementById("purchase_chart");
  
  var purchase_chartsdata = {
      labels: [
          
          "Order",
          "Users",
          "Chef",
          "Dining"
      ],
      datasets: [
          {
              data: [15,25,35,25],
              backgroundColor: [
                "rgb(0,177,244)",
                  "rgb(231,81,90)",
                  "rgb(26,115,233)",
                  "rgb(174,0,255)"
              ],
              
              borderColor:"#ffffff00",
              borderWidth: 10,
              borderRadius: 5,
              hoverOffset: 4,
              hoverBackgroundColor: [
                "rgb(0,177,244)",
                  "rgb(231,81,90)",
                  "rgb(26,115,233)",
                  "rgb(174,0,255)"
              ]
          }]
  };
  
  var pieChart = new Chart(purchase_charts, {
    type: 'pie',
    data: purchase_chartsdata,
    options:{
      maintainAspectRatio: false,
      responsive: true,
      plugins: {
        legend: {
          position: 'bottom',       
        }
      }
    }
  });



})(window);
